%define dist Gtk2
Name: perl-%dist
Version: 1.132
Release: alt2.S40.2

Summary: Perl bindings to the gtk+-2.x library
License: LGPL
Group: Development/Perl
Packager: Alexey Tourbin <at@altlinux.ru>

URL: http://gtk2-perl.sourceforge.net/
Source: %dist-%version.tar.bz2

Patch1: perl-Gtk2-1.023-mdk-gtk_exit.patch
Patch2: perl-Gtk2-1.023-mdk-set_uposition.patch
Patch3: perl-Gtk2-1.038-mdk-xset_input_focus.patch
Patch4: perl-Gtk2-1.023-mdk-exception-trapping.patch
Patch5: perl-Gtk2-0.95-alt-fix-build.patch
Patch6: perl-Gtk2-1.081-alt-gtk_version.patch
Patch7: perl-Gtk2-1.132-alt-req-Cairo.patch

Requires: perl-Glib >= %version
BuildPreReq: perl-Glib-devel >= %version

# required for t/GtkIconTheme.t
BuildPreReq: menu-icons-default

# Added by buildreq2 on Sat Aug 26 2006
BuildRequires: icon-theme-hicolor libXcursor-devel libgtk+2-devel perl-Cairo-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Glib-devel xvfb-run

%package devel
Summary: Perl bindings to the gtk+-2.x library (development files)
Group: Development/Perl
Requires: %name = %version-%release
Requires: libgtk+2-devel perl-Glib-devel >= %version

%description
This module provides perl access to the gtk+-2.x library.
Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical
user interfaces for the X Window System.  GTK+ was originally written
for the GIMP (GNU Image Manipulation Program) image processing program,
but is now used by several other programs as well.

%description devel
This module provides perl access to the gtk+-2.x library.
Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical
user interfaces for the X Window System.  GTK+ was originally written
for the GIMP (GNU Image Manipulation Program) image processing program,
but is now used by several other programs as well.

This package contains Gtk2 development files and documentation
for developers (overview of internals and internal API reference).

%prep
%setup -q -n %dist-%version
%patch1
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%ifndef _build_display
%def_without test
%endif

EXTRA_BLIBS=%perl_vendor_autolib/Glib/Glib.so
%perl_vendor_build

xvfb-run -a make

%install
%perl_vendor_install

%define pkgdocdir %_docdir/%name-%version
mkdir -p %buildroot%pkgdocdir
bzip2 -9kf ChangeLog
cp -av AUTHORS ChangeLog.bz2 NEWS README TODO gtk-demo examples %buildroot%pkgdocdir

%files
%dir	%pkgdocdir
	%pkgdocdir/AUTHORS
	%pkgdocdir/NEWS
	%pkgdocdir/README
	%perl_vendor_archlib/Gtk2.pm
%dir	%perl_vendor_archlib/Gtk2
%dir	%perl_vendor_archlib/Gtk2/Gdk
	%perl_vendor_archlib/Gtk2/Gdk/Keysyms.pm
	%perl_vendor_archlib/Gtk2/Helper.pm
	%perl_vendor_archlib/Gtk2/Pango.pm
	%perl_vendor_archlib/Gtk2/SimpleList.pm
	%perl_vendor_archlib/Gtk2/SimpleMenu.pm
%dir	%perl_vendor_autolib/Gtk2
	%perl_vendor_autolib/Gtk2/Gtk2.so

%files devel
%dir	%pkgdocdir
	%pkgdocdir/ChangeLog.bz2
	%pkgdocdir/TODO
	%pkgdocdir/gtk-demo
	%pkgdocdir/examples
%doc	%perl_vendor_archlib/Gtk2.pod
%dir	%perl_vendor_archlib/Gtk2
	%perl_vendor_archlib/Gtk2/CodeGen.pm
	%perl_vendor_archlib/Gtk2/TestHelper.pm
%doc	%perl_vendor_archlib/Gtk2/*.pod
%dir	%perl_vendor_archlib/Gtk2/Gdk
%doc	%perl_vendor_archlib/Gtk2/Gdk/*.pod
%dir	%perl_vendor_archlib/Gtk2/Gdk/Cairo
%doc	%perl_vendor_archlib/Gtk2/Gdk/Cairo/*.pod
%dir	%perl_vendor_archlib/Gtk2/Gdk/Event
%doc	%perl_vendor_archlib/Gtk2/Gdk/Event/*.pod
%dir	%perl_vendor_archlib/Gtk2/Install
	%perl_vendor_archlib/Gtk2/Install/*
%dir	%perl_vendor_archlib/Gtk2/Pango
%doc	%perl_vendor_archlib/Gtk2/Pango/*.pod
%dir	%perl_vendor_archlib/Gtk2/Pango/Cairo
%doc	%perl_vendor_archlib/Gtk2/Pango/Cairo/*.pod
%dir	%perl_vendor_archlib/Gtk2/TreeSortable
%doc	%perl_vendor_archlib/Gtk2/TreeSortable/*.pod

%changelog
* Wed Oct 15 2008 Andrey Cherepanov <cas@altlinux.ru> 1.132-alt2.S40.2
- remove dependence on ms-fonts-ttf
- built for school branch

* Sat Aug 26 2006 Alexey Tourbin <at@altlinux.ru> 1.132-alt2
- fixed dependency on Cairo

* Tue Aug 15 2006 Alexey Tourbin <at@altlinux.ru> 1.132-alt1
- 1.120 -> 1.132 (with Cairo)

* Sat Mar 18 2006 LAKostis <lakostis at altlinux.ru> 1.120-alt1
- NMU.
- 1.101 -> 1.120.
- remove GtkFileChooser patch (fixed upstream).

* Mon Oct 17 2005 Alexey Tourbin <at@altlinux.ru> 1.101-alt1
- 1.093 -> 1.101
- fixed GtkFileChooser test

* Fri Sep 02 2005 Alexey Tourbin <at@altlinux.ru> 1.093-alt1
- 1.082 -> 1.093
- built with libgtk+2 2.8, updated dependencies on libgtk+2

* Thu Jun 23 2005 Alexey Tourbin <at@altlinux.ru> 1.082-alt1
- 1.081 -> 1.082
- license: LGPL, not GPL

* Thu Apr 14 2005 Alexey Tourbin <at@altlinux.ru> 1.081-alt1
- 1.080 -> 1.081
- alt-gtk_version.patch: don't warn on gtk_micro_version change

* Mon Mar 21 2005 Alexey Tourbin <at@altlinux.ru> 1.080-alt1
- 1.072 -> 1.080

* Fri Jan 14 2005 Alexey Tourbin <at@altlinux.ru> 1.072-alt1
- 1.061 -> 1.072
- new subpackage: %name-devel
- manual pages not packaged (use perldoc)
- always run tests (by utilizing xvfb-run)
- disabled some tests because of failures under Test::More 0.53

* Wed Oct 06 2004 Alexey Tourbin <at@altlinux.ru> 1.061-alt1
- 1.053 -> 1.061

* Mon Aug 09 2004 Alexey Tourbin <at@altlinux.ru> 1.053-alt1
- 1.042 -> 1.053

* Fri Apr 16 2004 Alexey Tourbin <at@altlinux.ru> 1.042-alt1
- 1.023 -> 1.042, Mandrake patches updated
- skip Test::More dependency

* Wed Feb 18 2004 Alexey Tourbin <at@altlinux.ru> 1.023-alt1
- 1.023
- in sync with 1.023-2mdk

* Tue Oct 14 2003 Alexey Tourbin <at@altlinux.ru> 1.00-alt1
- 1.00

* Thu Aug 28 2003 Alexey Tourbin <at@altlinux.ru> 0.95-alt1
- initial revision; mandrake patches applied
